
_set_up:

;Temperature_controller_lm35.c,33 :: 		void set_up() {   //Configuration for Pic16F887
;Temperature_controller_lm35.c,35 :: 		ANSEL = 0x0D;     // RA0, RA2 and RA3 set as analog inputs
	MOVLW      13
	MOVWF      ANSEL+0
;Temperature_controller_lm35.c,36 :: 		ANSELH = 0;      // Rest of the pins set as digital inputs or outputs.
	CLRF       ANSELH+0
;Temperature_controller_lm35.c,37 :: 		TRISA = 0x0D;
	MOVLW      13
	MOVWF      TRISA+0
;Temperature_controller_lm35.c,38 :: 		ADCON1.F4 = 1;              // VREF+ = 1.5v.
	BSF        ADCON1+0, 4
;Temperature_controller_lm35.c,39 :: 		ADCON1.F5 = 1;              // VREF- 1 = GND.
	BSF        ADCON1+0, 5
;Temperature_controller_lm35.c,40 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;Temperature_controller_lm35.c,41 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;Temperature_controller_lm35.c,42 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;Temperature_controller_lm35.c,43 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;Temperature_controller_lm35.c,44 :: 		TRISB = 0;
	CLRF       TRISB+0
;Temperature_controller_lm35.c,45 :: 		TRISD = 0;
	CLRF       TRISD+0
;Temperature_controller_lm35.c,46 :: 		TRISC = 0xF0;  //RC4, RC5, RC6 and RC7 set as digital inputs.
	MOVLW      240
	MOVWF      TRISC+0
;Temperature_controller_lm35.c,47 :: 		PORTB = 0;     // clear PORTB, PORTC and PORTD.
	CLRF       PORTB+0
;Temperature_controller_lm35.c,48 :: 		PORTC = 0;
	CLRF       PORTC+0
;Temperature_controller_lm35.c,49 :: 		PORTD = 0;
	CLRF       PORTD+0
;Temperature_controller_lm35.c,51 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_temperature:

;Temperature_controller_lm35.c,53 :: 		void temperature()  {   //function to see the temperature
;Temperature_controller_lm35.c,58 :: 		for (i=0; i<=80; i++) { // routine to stabilize the temperature changes
	CLRF       temperature_i_L0+0
L_temperature0:
	MOVLW      128
	XORLW      80
	MOVWF      R0+0
	MOVLW      128
	XORWF      temperature_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_temperature1
;Temperature_controller_lm35.c,59 :: 		ch1 = tlong / 100;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _tlong+0, 0
	MOVWF      R0+0
	MOVF       _tlong+1, 0
	MOVWF      R0+1
	MOVF       _tlong+2, 0
	MOVWF      R0+2
	MOVF       _tlong+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
;Temperature_controller_lm35.c,60 :: 		PORTD = 1;             //muestra centenas
	MOVLW      1
	MOVWF      PORTD+0
;Temperature_controller_lm35.c,61 :: 		PORTB = mask(ch1) ;
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Temperature_controller_lm35.c,62 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_temperature3:
	DECFSZ     R13+0, 1
	GOTO       L_temperature3
	DECFSZ     R12+0, 1
	GOTO       L_temperature3
	NOP
	NOP
;Temperature_controller_lm35.c,63 :: 		ch2 = (tlong/10) % 10 ;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _tlong+0, 0
	MOVWF      R0+0
	MOVF       _tlong+1, 0
	MOVWF      R0+1
	MOVF       _tlong+2, 0
	MOVWF      R0+2
	MOVF       _tlong+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;Temperature_controller_lm35.c,64 :: 		PORTD = 2;              //muestra decenas
	MOVLW      2
	MOVWF      PORTD+0
;Temperature_controller_lm35.c,65 :: 		PORTB = mask(ch2) ;
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Temperature_controller_lm35.c,66 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_temperature4:
	DECFSZ     R13+0, 1
	GOTO       L_temperature4
	DECFSZ     R12+0, 1
	GOTO       L_temperature4
	NOP
	NOP
;Temperature_controller_lm35.c,67 :: 		ch3 = tlong % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _tlong+0, 0
	MOVWF      R0+0
	MOVF       _tlong+1, 0
	MOVWF      R0+1
	MOVF       _tlong+2, 0
	MOVWF      R0+2
	MOVF       _tlong+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;Temperature_controller_lm35.c,68 :: 		PORTD = 4;             //muestra unidades
	MOVLW      4
	MOVWF      PORTD+0
;Temperature_controller_lm35.c,69 :: 		PORTB = mask(ch3) ;
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Temperature_controller_lm35.c,70 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_temperature5:
	DECFSZ     R13+0, 1
	GOTO       L_temperature5
	DECFSZ     R12+0, 1
	GOTO       L_temperature5
	NOP
	NOP
;Temperature_controller_lm35.c,58 :: 		for (i=0; i<=80; i++) { // routine to stabilize the temperature changes
	INCF       temperature_i_L0+0, 1
;Temperature_controller_lm35.c,71 :: 		}
	GOTO       L_temperature0
L_temperature1:
;Temperature_controller_lm35.c,72 :: 		}
L_end_temperature:
	RETURN
; end of _temperature

_Adjust_Temp:

;Temperature_controller_lm35.c,74 :: 		void Adjust_Temp()  { //function to see the adjust
;Temperature_controller_lm35.c,77 :: 		ch1 = dato / 100;
	MOVLW      100
	MOVWF      R4+0
	MOVF       _dato+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
;Temperature_controller_lm35.c,78 :: 		PORTD = 1;             //show the ones
	MOVLW      1
	MOVWF      PORTD+0
;Temperature_controller_lm35.c,79 :: 		PORTB = mask(ch1) ;
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Temperature_controller_lm35.c,80 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_Adjust_Temp6:
	DECFSZ     R13+0, 1
	GOTO       L_Adjust_Temp6
	DECFSZ     R12+0, 1
	GOTO       L_Adjust_Temp6
	NOP
	NOP
;Temperature_controller_lm35.c,81 :: 		ch2 = (dato/10) % 10 ;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _dato+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8X8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
;Temperature_controller_lm35.c,82 :: 		PORTD = 2;              //show the hundreds
	MOVLW      2
	MOVWF      PORTD+0
;Temperature_controller_lm35.c,83 :: 		PORTB = mask(ch2) ;
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Temperature_controller_lm35.c,84 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_Adjust_Temp7:
	DECFSZ     R13+0, 1
	GOTO       L_Adjust_Temp7
	DECFSZ     R12+0, 1
	GOTO       L_Adjust_Temp7
	NOP
	NOP
;Temperature_controller_lm35.c,85 :: 		ch3 = dato % 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _dato+0, 0
	MOVWF      R0+0
	CALL       _Div_8X8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
;Temperature_controller_lm35.c,86 :: 		PORTD = 4;             //show the tens
	MOVLW      4
	MOVWF      PORTD+0
;Temperature_controller_lm35.c,87 :: 		PORTB = mask(ch3) ;
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      PORTB+0
;Temperature_controller_lm35.c,88 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_Adjust_Temp8:
	DECFSZ     R13+0, 1
	GOTO       L_Adjust_Temp8
	DECFSZ     R12+0, 1
	GOTO       L_Adjust_Temp8
	NOP
	NOP
;Temperature_controller_lm35.c,90 :: 		}
L_end_Adjust_Temp:
	RETURN
; end of _Adjust_Temp

_main:

;Temperature_controller_lm35.c,92 :: 		void main() {
;Temperature_controller_lm35.c,94 :: 		set_up();
	CALL       _set_up+0
;Temperature_controller_lm35.c,95 :: 		do {
L_main9:
;Temperature_controller_lm35.c,96 :: 		adc_rd = ADC_Read(0);  // Convertion A/D. Pin RA0
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _adc_rd+0
	MOVF       R0+1, 0
	MOVWF      _adc_rd+1
;Temperature_controller_lm35.c,97 :: 		delay_ms(1);          //delay for the ADC conversion
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_main12:
	DECFSZ     R13+0, 1
	GOTO       L_main12
	DECFSZ     R12+0, 1
	GOTO       L_main12
;Temperature_controller_lm35.c,98 :: 		tlong = (long)adc_rd * factor;
	MOVF       _adc_rd+0, 0
	MOVWF      R0+0
	MOVF       _adc_rd+1, 0
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVLW      150
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Mul_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      _tlong+0
	MOVF       R0+1, 0
	MOVWF      _tlong+1
	MOVF       R0+2, 0
	MOVWF      _tlong+2
	MOVF       R0+3, 0
	MOVWF      _tlong+3
;Temperature_controller_lm35.c,99 :: 		tlong = tlong / 1023;       // 0..1023
	MOVLW      255
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _tlong+0
	MOVF       R0+1, 0
	MOVWF      _tlong+1
	MOVF       R0+2, 0
	MOVWF      _tlong+2
	MOVF       R0+3, 0
	MOVWF      _tlong+3
;Temperature_controller_lm35.c,101 :: 		if(select==1){      //select==1 >>>>>>>> start
	MOVF       _select+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main13
;Temperature_controller_lm35.c,102 :: 		if(tlong == dato) PORTC = 2;    // comparation
	MOVLW      0
	MOVWF      R0+0
	XORWF      _tlong+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main53
	MOVF       R0+0, 0
	XORWF      _tlong+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main53
	MOVF       R0+0, 0
	XORWF      _tlong+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main53
	MOVF       _tlong+0, 0
	XORWF      _dato+0, 0
L__main53:
	BTFSS      STATUS+0, 2
	GOTO       L_main14
	MOVLW      2
	MOVWF      PORTC+0
L_main14:
;Temperature_controller_lm35.c,103 :: 		if(tlong >  dato) PORTC = 1;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _tlong+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main54
	MOVF       _tlong+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main54
	MOVF       _tlong+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main54
	MOVF       _tlong+0, 0
	SUBWF      _dato+0, 0
L__main54:
	BTFSC      STATUS+0, 0
	GOTO       L_main15
	MOVLW      1
	MOVWF      PORTC+0
L_main15:
;Temperature_controller_lm35.c,104 :: 		if(tlong <  dato) PORTC = 4;
	MOVLW      128
	XORWF      _tlong+3, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main55
	MOVLW      0
	SUBWF      _tlong+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main55
	MOVLW      0
	SUBWF      _tlong+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main55
	MOVF       _dato+0, 0
	SUBWF      _tlong+0, 0
L__main55:
	BTFSC      STATUS+0, 0
	GOTO       L_main16
	MOVLW      4
	MOVWF      PORTC+0
L_main16:
;Temperature_controller_lm35.c,105 :: 		}
L_main13:
;Temperature_controller_lm35.c,106 :: 		if(select==0){      //select==0 >>>>>>>> stop
	MOVF       _select+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main17
;Temperature_controller_lm35.c,107 :: 		if(tlong == dato) PORTC = 10;   // comparation
	MOVLW      0
	MOVWF      R0+0
	XORWF      _tlong+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main56
	MOVF       R0+0, 0
	XORWF      _tlong+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main56
	MOVF       R0+0, 0
	XORWF      _tlong+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main56
	MOVF       _tlong+0, 0
	XORWF      _dato+0, 0
L__main56:
	BTFSS      STATUS+0, 2
	GOTO       L_main18
	MOVLW      10
	MOVWF      PORTC+0
L_main18:
;Temperature_controller_lm35.c,108 :: 		if(tlong >  dato) PORTC = 8;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _tlong+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main57
	MOVF       _tlong+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main57
	MOVF       _tlong+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main57
	MOVF       _tlong+0, 0
	SUBWF      _dato+0, 0
L__main57:
	BTFSC      STATUS+0, 0
	GOTO       L_main19
	MOVLW      8
	MOVWF      PORTC+0
L_main19:
;Temperature_controller_lm35.c,109 :: 		if(tlong <  dato) PORTC = 8;
	MOVLW      128
	XORWF      _tlong+3, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main58
	MOVLW      0
	SUBWF      _tlong+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main58
	MOVLW      0
	SUBWF      _tlong+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main58
	MOVF       _dato+0, 0
	SUBWF      _tlong+0, 0
L__main58:
	BTFSC      STATUS+0, 0
	GOTO       L_main20
	MOVLW      8
	MOVWF      PORTC+0
L_main20:
;Temperature_controller_lm35.c,111 :: 		}
L_main17:
;Temperature_controller_lm35.c,113 :: 		if (Button(&PORTC,4,1,0)) Adjust_Temp();
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      4
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main21
	CALL       _Adjust_Temp+0
L_main21:
;Temperature_controller_lm35.c,114 :: 		if (Button(&PORTC,4,1,1)) temperature();
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      4
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main22
	CALL       _temperature+0
L_main22:
;Temperature_controller_lm35.c,116 :: 		if (Button(&PORTC,5,1,0)) e2=0;     //if the button has been pushed
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      5
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main23
	CLRF       _e2+0
L_main23:
;Temperature_controller_lm35.c,117 :: 		if (e2==0 && Button(&PORTC,5,1,1)){ //and after that the button is free
	MOVF       _e2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main26
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      5
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main26
L__main48:
;Temperature_controller_lm35.c,118 :: 		select++;                         //increase select.
	INCF       _select+0, 1
;Temperature_controller_lm35.c,119 :: 		if (select>1) select=0;
	MOVF       _select+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L_main27
	CLRF       _select+0
L_main27:
;Temperature_controller_lm35.c,120 :: 		e2=1;
	MOVLW      1
	MOVWF      _e2+0
;Temperature_controller_lm35.c,121 :: 		}
L_main26:
;Temperature_controller_lm35.c,122 :: 		if (Button(&PORTC,7,1,0)) e0=0;     //if the button has been pushed
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main28
	CLRF       _e0+0
L_main28:
;Temperature_controller_lm35.c,123 :: 		if (e0==0 && Button(&PORTC,7,1,1)){ //and after that the button is free
	MOVF       _e0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main31
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main31
L__main47:
;Temperature_controller_lm35.c,124 :: 		dato++;                         //increase dato.
	INCF       _dato+0, 1
;Temperature_controller_lm35.c,125 :: 		if (dato>150) dato=0;
	MOVF       _dato+0, 0
	SUBLW      150
	BTFSC      STATUS+0, 0
	GOTO       L_main32
	CLRF       _dato+0
L_main32:
;Temperature_controller_lm35.c,126 :: 		e0=1;
	MOVLW      1
	MOVWF      _e0+0
;Temperature_controller_lm35.c,127 :: 		}
L_main31:
;Temperature_controller_lm35.c,128 :: 		if (Button(&PORTC,6,1,0)) e1=0;     //if the button has been pushed
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main33
	CLRF       _e1+0
L_main33:
;Temperature_controller_lm35.c,129 :: 		if (e1==0 && Button(&PORTC,6,1,1)){ //and after that the button is free
	MOVF       _e1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main36
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main36
L__main46:
;Temperature_controller_lm35.c,130 :: 		dato--;                        ////decrease dato.
	DECF       _dato+0, 1
;Temperature_controller_lm35.c,131 :: 		if (dato==255) dato=150;         // -1=255 >>>>>> 150
	MOVF       _dato+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L_main37
	MOVLW      150
	MOVWF      _dato+0
L_main37:
;Temperature_controller_lm35.c,132 :: 		e1=1;
	MOVLW      1
	MOVWF      _e1+0
;Temperature_controller_lm35.c,133 :: 		}
L_main36:
;Temperature_controller_lm35.c,134 :: 		if (Button(&PORTC,6,10,0) && Button(&PORTC,7,10,0)){ //fast mode.
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main40
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main40
L__main45:
;Temperature_controller_lm35.c,135 :: 		dato++;  //increase dato.
	INCF       _dato+0, 1
;Temperature_controller_lm35.c,136 :: 		if (dato>150) dato=0;
	MOVF       _dato+0, 0
	SUBLW      150
	BTFSC      STATUS+0, 0
	GOTO       L_main41
	CLRF       _dato+0
L_main41:
;Temperature_controller_lm35.c,137 :: 		for (j=0; j<=50; j++) {
	CLRF       _j+0
L_main42:
	MOVLW      128
	XORLW      50
	MOVWF      R0+0
	MOVLW      128
	XORWF      _j+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main43
;Temperature_controller_lm35.c,138 :: 		Adjust_Temp();
	CALL       _Adjust_Temp+0
;Temperature_controller_lm35.c,137 :: 		for (j=0; j<=50; j++) {
	INCF       _j+0, 1
;Temperature_controller_lm35.c,139 :: 		}
	GOTO       L_main42
L_main43:
;Temperature_controller_lm35.c,140 :: 		}
L_main40:
;Temperature_controller_lm35.c,141 :: 		} while (1);
	GOTO       L_main9
;Temperature_controller_lm35.c,142 :: 		} //END.
L_end_main:
	GOTO       $+0
; end of _main
