
//Temperature_Controller_with_lm35
////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// NOTE: please read me                                                       //
// I'm sorry guys for my grammatical errors that I might have them because    //
// my english is not good.                                                    //
//    Please pay attention to next text:                                      //
//                                                                            //
//    1) The measuring range is 0 to 150C                                    //
//    2) The variables of type char only can take positive values             //
//       therefore it mean that when the value is less than "0"               //
//       the variable takes a value=255.                                      //
//    3) This circuit uses the 7-segment displays of common cathode but       //
//       if you want to use displays of common anode you should modify        //
//       the document mask.c                                                  //
//    4) This project includes the document mask.c                            //
//    5) If you don't want to use Vref you could replace ADCON1.F4 and        //
//       ADCON1.F5 for ADCON1 = 0x82; // the Vref is Vcc.                     //
//       and also you must to change the factor to 500 with this adjust       //
//       you will get a similar reading but with less precision.              //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

//Declaration of global variables
unsigned short mask(unsigned short num);
unsigned int adc_rd;
long tlong;
char dato = 0,  select=0, e0=1, e1=1, e2=1;
short int  j;
const int factor=150;  // 10mv === 1C

void set_up() {   //Configuration for Pic16F887

  ANSEL = 0x0D;     // RA0, RA2 and RA3 set as analog inputs
  ANSELH = 0;      // Rest of the pins set as digital inputs or outputs.
  TRISA = 0x0D;
  ADCON1.F4 = 1;              // VREF+ = 1.5v.
  ADCON1.F5 = 1;              // VREF- 1 = GND.
  C1ON_bit = 0;    // analog comparators off.
  C2ON_bit = 0;
  CCP1CON = 0;   //PWM1 y PWM2 off.
  CCP2CON = 0;
  TRISB = 0;
  TRISD = 0;
  TRISC = 0xF0;  //RC4, RC5, RC6 and RC7 set as digital inputs.
  PORTB = 0;     // clear PORTB, PORTC and PORTD.
  PORTC = 0;
  PORTD = 0;

}

void temperature()  {   //function to see the temperature

    unsigned char ch1, ch2, ch3;
    short int i;

    for (i=0; i<=80; i++) { // routine to stabilize the temperature changes
    ch1 = tlong / 100;
    PORTD = 1;             //muestra centenas
    PORTB = mask(ch1) ;
    delay_ms(2);
    ch2 = (tlong/10) % 10 ;
    PORTD = 2;              //muestra decenas
    PORTB = mask(ch2) ;
    delay_ms(2);
    ch3 = tlong % 10;
    PORTD = 4;             //muestra unidades
    PORTB = mask(ch3) ;
    delay_ms(2);
    }
}

void Adjust_Temp()  { //function to see the adjust
    unsigned char ch1, ch2, ch3;

    ch1 = dato / 100;
    PORTD = 1;             //show the ones
    PORTB = mask(ch1) ;
    delay_ms(2);
    ch2 = (dato/10) % 10 ;
    PORTD = 2;              //show the hundreds
    PORTB = mask(ch2) ;
    delay_ms(2);
    ch3 = dato % 10;
    PORTD = 4;             //show the tens
    PORTB = mask(ch3) ;
    delay_ms(2);

}

void main() {

    set_up();
    do {
    adc_rd = ADC_Read(0);  // Convertion A/D. Pin RA0
    delay_ms(1);          //delay for the ADC conversion
    tlong = (long)adc_rd * factor;
    tlong = tlong / 1023;       // 0..1023
    
    if(select==1){      //select==1 >>>>>>>> start
    if(tlong == dato) PORTC = 2;    // comparation
    if(tlong >  dato) PORTC = 1;
    if(tlong <  dato) PORTC = 4;
    }
    if(select==0){      //select==0 >>>>>>>> stop
    if(tlong == dato) PORTC = 10;   // comparation
    if(tlong >  dato) PORTC = 8;
    if(tlong <  dato) PORTC = 8;

    }
    
    if (Button(&PORTC,4,1,0)) Adjust_Temp();
    if (Button(&PORTC,4,1,1)) temperature();
    
    if (Button(&PORTC,5,1,0)) e2=0;     //if the button has been pushed
    if (e2==0 && Button(&PORTC,5,1,1)){ //and after that the button is free
        select++;                         //increase select.
    if (select>1) select=0;
        e2=1;
   }
    if (Button(&PORTC,7,1,0)) e0=0;     //if the button has been pushed
    if (e0==0 && Button(&PORTC,7,1,1)){ //and after that the button is free
        dato++;                         //increase dato.
    if (dato>150) dato=0;
        e0=1;
   }
    if (Button(&PORTC,6,1,0)) e1=0;     //if the button has been pushed
    if (e1==0 && Button(&PORTC,6,1,1)){ //and after that the button is free
       dato--;                        ////decrease dato.
    if (dato==255) dato=150;         // -1=255 >>>>>> 150
      e1=1;
   }
    if (Button(&PORTC,6,10,0) && Button(&PORTC,7,10,0)){ //fast mode.
      dato++;  //increase dato.
     if (dato>150) dato=0;
     for (j=0; j<=50; j++) {
     Adjust_Temp();
    }
  }
  } while (1);
} //END.